> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/de/vast/vast-wrapper.md).

# VAST-Wrapper-Tag

## XML-Beispiel

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Eigenschaften

| Option                                   | Erklärung                                                                                                                                                                                                                                                                                                                                                              |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | XML-Prolog mit definierter Version und Kodierung.                                                                                                                                                                                                                                                                                                                      |
| `VAST`                                   | Verwendete VAST-Version dieses Elements                                                                                                                                                                                                                                                                                                                                |
| `Wrapper fallbackOnNoAd`                 | Zeigt an, dass sich ein weiteres VAST-Element im Baum befindet. Wenn „Video Fallback“ in den Einstellungen der Anzeigenzone aktiviert ist, zeigt dies außerdem an, welche Position dieses Element in der VAST-Warteschlange hat                                                                                                                                        |
| `VASTAdTagURI`                           | Das Element wird verwendet, um eine URI zu einer sekundären VAST-Antwort bereitzustellen. Diese sekundäre Antwort kann ein weiterer Wrapper sein, aber letztendlich muss ein VAST-Wrapper eine `<InLine>` Anzeige zurückgeben. Version 3 begrenzt die Anzahl der Wrapper-Weiterleitungen nicht, aber ab Version 4 sind maximal 5 Wrapper-VAST-Weiterleitungen erlaubt. |
| `Videoklicks`                            | Element, das angibt, was der Videoplayer tun soll, wenn der Nutzer direkt im Videoplayer-Rahmen klickt, während die Anzeige eingeblendet ist. Wenn ein `<VideoClicks>` Element bereitgestellt wird, enthält es ein einzelnes untergeordnetes `<ClickTracking>` Element mit URI (oder `<ClickThrough>` im Falle eines VAST-Tags).                                       |
| `ClickTracking`                          | Das Element wird verwendet, um das `Klickziel` wenn die Creative-Datei das `Klickziel`.                                                                                                                                                                                                                                                                                |
| `Erweiterung`                            | Vom Ad-Server bereitgestellte zusätzliche Einstellungen                                                                                                                                                                                                                                                                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/de/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
